# VideoSurface Class Reference

List of all members.

## Public Member Functions

| VideoSurface (FrameObserver *frameObserver, QObject *parent=0)
virtual QList < QVideoFrame::PixelFormat > | supportedPixelFormats (QAbstractVideoBuffer::HandleType handleType=QAbstractVideoBuffer::NoHandle) const
virtual bool | present (const QVideoFrame &frame)
virtual bool | start (const QVideoSurfaceFormat &format)

## Protected Attributes

FrameObserver * | m_frameObserver

The documentation for this class was generated from the following file:

- videosurface.h

All Classes Functions